Version mismatch, Simulator API version: xxx - dirty

Hi,

I meet a strange problem.

I have a Windows with Carla server 0.9.9 on it. Python version: 3.5.3
And another Ubuntu 16 with Carla client 0.9.9 on it. Python version: 3.5.6

When I connect the client with the server, it said that:

WARNING: Version mismatch detected: You are trying to connect to a simulator that might be incompatible with this API 

WARNING: Client API version     = 0.9.9 

WARNING: Simulator API version  = 0.9.9-dirty 

What is the meaning of dirty ?

When I using the manual_control.py, the interface is very stuck, I think the fps might be 3 or 4.

Another problem is that, it works well at the first beginning actually.

After I make rebuild it, the problem come up.